#include <stdio.h>

unsigned hash(unsigned c) {
	const int mul = 0xdeadbee;
	c = c % 233;
	return ((((((((c*c) % 233)*c) % 233) + 13) % 233)* (mul % 233)) + (220*(mul % 233))) % 233;
}

int main(void) {
	// a piece-wise hash of a password -- to every number corresponds
	// a letter from the password
	unsigned pass_hash[] = { 175, 39, 14, 213, 105, 105, 178, 187, 64, 46, 188, 0 };
	const unsigned size = sizeof(pass_hash)/sizeof(*pass_hash);
	unsigned char password[size];
	int n;

	// get and check the password
	for (n = 0; n < size - 1; ++n) {
		scanf("%c", password + n);
		if (hash(password[n]) != pass_hash[n]) {
			printf("Password was incorrect\n");
			return 1;
		}
	}

	printf("Password was correct\n");
	return 0;
}

